> ## Documentation Index
> Fetch the complete documentation index at: https://growi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Content Platform Composition

> Retrieves a breakdown of content by platform within a specified date range

Retrieves a breakdown of content by platform within a specified date range.

## Request Parameters

| Parameter    | Type    | Description                                                                                  | Required |
| ------------ | ------- | -------------------------------------------------------------------------------------------- | -------- |
| `start_date` | String  | Start date in MM/DD/YYYY format                                                              | Yes      |
| `end_date`   | String  | End date in MM/DD/YYYY format                                                                | Yes      |
| `limit`      | Integer | Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data. | No       |

## Request Example

```bash theme={null}
curl -X GET "https://api.growi.io/api/public/v1/stats/content_platform_composition?start_date=01/01/2023&end_date=01/31/2023" \
     -H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
     -H "Content-Type: application/json"
```

## Response Example

```json theme={null}
{
  "success": true,
  "data": {
    "content_platform_composition": {
      "tik_tok": 216,
      "instagram": 416,
      "twitter": 2,
      "youtube": 0,
      "unknown": 2
    }
  }
}
```


## OpenAPI

````yaml GET /stats/content_platform_composition
openapi: 3.0.1
info:
  title: Growi API
  description: >-
    API documentation for Growi platform, showcasing the public tracking event
    endpoint
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.growi.io/api/public/v1
security:
  - bearerAuth: []
paths:
  /stats/content_platform_composition:
    get:
      description: >-
        Retrieves a breakdown of content by platform within a specified date
        range
      parameters:
        - name: start_date
          in: query
          required: true
          example: 10/01/2025
          schema:
            type: string
            format: date
            default: 10/01/2025
          description: Start date in MM/DD/YYYY format
        - name: end_date
          in: query
          required: true
          example: 11/14/2025
          schema:
            type: string
            format: date
            default: 11/14/2025
          description: End date in MM/DD/YYYY format
        - name: limit
          in: query
          required: false
          example: 4
          schema:
            type: integer
            default: 4
          description: >-
            Limit the number of results. Default is 4. Recommended is 20. Set to
            10,000 to get all data.
      responses:
        '200':
          description: Content platform composition retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    description: Content platform composition data
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````